<?php

require_once '../includes/start.php';
require_once '../includes/function.php';
require_once '../includes/header.php';

if($game==0 OR $level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	$s=$_GET['s'];
	$q = mysql_query("SELECT * FROM `sosed` WHERE `id`='".check(mysql_real_escape_string($s))."'");
	$f = mysql_fetch_array($q);
	$p = mysql_query("SELECT * FROM `users` WHERE `id`='".$f['uid2']."'");
	$u = mysql_fetch_array($p);
	$tma=round(($realtime-$newtime)/($realtime-$u['newtime']), 2);
	
	switch ($act) {
	default:
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Разведанные планеты</b></div>';
	echo '<div class="razd"></div>';
	$PAGINGS = mysql_query("SELECT * FROM `sosed` WHERE `uid1`='".$use_id."' ORDER BY `war` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

			echo '<center><div class="window">';
			echo '<a href="sector.php?x='.$row['x'].'&amp;y='.$row['y'].'"><img src="../images/planet_small/'.$row['type'].'.jpg" alt="" /></a> <a href="?act=pl&amp;s='.$row['id'].'">'.$row['name'].'</a> [x:'.$row['x'].' y:'.$row['y'].'] ';
			if($row['war']==1)echo '[<span class="red">война</span>]';
			if($row['fr_id']==$fr_id AND $fr_id!=0)echo '[<span class="blue">союзник</span>]';
			echo '</div></center>';
	}

	}
	break;
	case 'pl':
	if($f['uid1']==$use_id){
	echo '<div class="top">Планета '.$f['name'].'</div>';
	echo '<div class="conts">';
	echo 'Владелец: '.rasa($u['rasa']).' <a href="../p/anketa.php?id='.$u['id'].'"><span class="'.crasa($u['rasa']).'">'.$u['login'].'</span></a><br/>Расположение: x:'.$f['x'].' y:'.$f['y'].'</div><div class="conts">';
	if($tma>1.4)echo '<img src="../images/war.jpg" alt="" /> Вы не можете обьявить войну этой планете так как время вашей игры в '.$tma.' раза превышает время игры ее владельца';
	if($tma<0.6)echo '<img src="../images/war.jpg" alt="" /> Вы не можете обьявить войну этой планете так как время вашей игры в '.$tma.' раза меньше времени игры ее владельца';
	if($f['war']==0 AND $tma<=1.4 AND $tma>=0.6)echo '<img src="../images/war.jpg" alt="" /> <a href="?act=war&amp;s='.$f['id'].'">Обьявить войну</a>';
	if($f['war']==1)echo '<img src="../images/war.jpg" alt="" /> Вы обьявили войну этой планете<br/><a href="?act=per&amp;s='.$f['id'].'">Обьявить перемирие</a>';
	echo '<br/><a href="sosed.php"><<Назад</a></div>';}
	break;
		case 'war':
		echo '<div class="top">Планета '.$f['name'].'</div>';
		echo '<div class="conts">Владелец: '.rasa($u['rasa']).' <a href="../p/anketa.php?id='.$u['id'].'"><span class="'.crasa($u['rasa']).'">'.$u['login'].'</span></a><br/>Расположение: x:'.$f['x'].' y:'.$f['y'].'</div>';
		$onpl = mysql_result(mysql_query("SELECT COUNT(*) FROM `army` WHERE `onpl`='".$f['planet']."' AND `uid`='".$use_id."';"), 0);
		if($onpl==0){echo '<div class="conts">Вы сможете объявить войну этой планете если на ней будет высажен хоть один ваш отряд<br/><a href="?act=pl&amp;s='.$f['id'].'"><<Назад</a></div>';}else{
		if($f['uid1']==$use_id AND $f['war']==0 AND $tma<=1.4 AND $tma>=0.6){
		if($fr_id==$u['fr_id'] AND $u['fr_id']!=0 AND $u['fr']==0 AND $fr==0){echo '<div class="conts">Вы не можете обьявить войну планете владелец которой состоит с вами в одной фракции!<br/><a href="?act=pl&amp;s='.$f['id'].'"><<Назад</a></div>';}else{	
		if($u['tmarat'] > $realtime){echo '<div class="conts">На планету '.$f['name'].' действует силовое поле!<br/>Вы сможете обьявить войну этой планете не раньше '.dates($u['tmarat']).'<br/><a href="?act=pl&amp;s='.$f['id'].'"><<Назад</a></div>';}else{
		if($tmarat > $realtime){echo '<div class="conts">На вас действует силовое поле!<br/>Вы сможете обьявить войну планете '.$f['name'].' не раньше '.dates($tmarat).'<br/><a href="?act=pl&amp;s='.$f['id'].'"><<Назад</a></div>';}else{

	$wb=$_GET['o'];
	if($wb!=1){
							echo '<div class="conts"><img src="../images/war.jpg" alt="image" /> Вы уверенны что хотите обьявить войну планете '.$f['name'].'?<br/>';
							echo '<a href="?act=war&amp;o=1&amp;s='.$f['id'].'">Да</a> или <a href="?act=pl&amp;s='.$f['id'].'">Отмена</a></div>';
							}else{
							mysql_query("UPDATE `sosed` SET `war`=1 WHERE `id`='".$f['id']."';");
							mysql_query("INSERT INTO `doklad` SET `uid`='".$u['id']."', `time`='" . time() . "', `type`=4, `text`='Вашей планете <b>".$f['name']."</b> обьявил войну игрок <b>".$login."</b>';");
							mysql_query("INSERT INTO `war` SET `uid1`='".$use_id."', `uid2`='".$u['id']."', `rasa1`='".$rasa."', `rasa2`='".$u['rasa']."', `login1`='".$login."', `login2`='".$u['login']."', `planet`='".$f['planet']."', `name`='".$f['name']."', `sosed`='".$f['id']."', `ztime`='".($realtime+43200)."', `time`='".time()."';");
						header("Location: ?act=pl&s=".$f['id']."");	
}
	}}}}}
	break;
		case 'per':
		echo '<div class="top">Планета '.$f['name'].'</div>';
		echo '<div class="conts">Владелец: '.rasa($u['rasa']).' <span class="'.crasa($u['rasa']).'"><a href="../p/anketa.php?id='.$u['id'].'">'.$u['login'].'</a></span><br/>Расположение: x:'.$f['x'].' y:'.$f['y'].'</div>';
	if($f['uid1']==$use_id AND $f['war']==1){

	$wb=$_GET['o'];
	if($wb!=1){
							echo '<div class="conts"><img src="../images/war.jpg" alt="image" /> Вы уверенны что хотите обьявить перемирие планете '.$f['name'].'?<br/>';
							echo '<a href="?act=per&amp;o=1&amp;s='.$f['id'].'">Да</a> или <a href="?act=pl&amp;s='.$f['id'].'">Отмена</a></div>';
							}else{
							mysql_query("UPDATE `sosed` SET `war`=0 WHERE `id`='".$f['id']."';");
							mysql_query("UPDATE `planet_loc` SET `uid`='".$u['id']."', `occupy`=0 WHERE `planet_id`='".$f['planet']."' AND `uid`='".$use_id."';");
							mysql_query("INSERT INTO `doklad` SET `uid`='".$u['id']."', `time`='" . time() . "', `type`=4, `text`='Игрок <b>".$login."</b> обьявил перемирие вашей планете <b>".$f['name']."</b>';");
							mysql_query("DELETE FROM `war` WHERE `uid1`='".$use_id."' AND `uid2`='".$u['id']."' AND `planet`='".$f['planet']."';");
						header("Location: ?act=pl&s=".$f['id']."");	
}
	}
	break;
	}
}
echo '<div class="razd"></div>';
echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
echo '<div class="razd"></div>';
require_once '../includes/footer1.php';
?>
